org.eclipse.microprofile.graphql.tck.apps.basic.api

## Class ScalarHolder

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.apps.basic.api.ScalarHolder

    public class ScalarHolder
    extends Object

Plain POJO with scalar fields

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Constructor Summary

Constructors
Constructor and Description
`ScalarHolder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LocalDate` `getAnotherDateObject()`
`LocalDateTime` `getAnotherDateTimeObject()`
`LocalTime` `getAnotherTimeObject()`
`BigDecimal` `getBigDecimalObject()`
`BigInteger` `getBigIntegerObject()`
`Boolean` `getBooleanObject()`
`Byte` `getByteObject()`
`byte` `getBytePrimitive()`
`char[]` `getCharArray()`
`Character` `getCharObject()`
`char` `getCharPrimitive()`
`LocalDate` `getDateObject()`
`LocalDateTime` `getDateTimeObject()`
`Double` `getDoubleObject()`
`double` `getDoublePrimitive()`
`Float` `getFloatObject()`
`float` `getFloatPrimitive()`
`BigDecimal` `getFormattedBigDecimalObject()`
`BigInteger` `getFormattedBigIntegerObject()`
`Byte` `getFormattedByteObject()`
`LocalDate` `getFormattedDateObject()`
`LocalDateTime` `getFormattedDateTimeObject()`
`Double` `getFormattedDoubleObject()`
`Float` `getFormattedFloatObject()`
`Integer` `getFormattedIntObject()`
`Long` `getFormattedLongObject()`
`long` `getFormattedLongPrimitive()`
`Short` `getFormattedShortObject()`
`LocalTime` `getFormattedTimeObject()`
`String` `getId()`
`Integer` `getIntegerObjectId()`
`Integer` `getIntObject()`
`int` `getIntPrimitive()`
`int` `getIntPrimitiveId()`
`Long` `getLongObject()`
`Long` `getLongObjectId()`
`long` `getLongPrimitive()`
`long` `getLongPrimitiveId()`
`Short` `getShortObject()`
`short` `getShortPrimitive()`
`String` `getStringObject()`
`LocalTime` `getTimeObject()`
`UUID` `getUuidId()`
`boolean` `isBooleanPrimitive()`
`void` `setAnotherDateObject(LocalDate anotherDateObject)`
`void` `setAnotherDateTimeObject(LocalDateTime anotherDateTimeObject)`
`void` `setAnotherTimeObject(LocalTime anotherTimeObject)`
`void` `setBigDecimalObject(BigDecimal bigDecimalObject)`
`void` `setBigIntegerObject(BigInteger bigIntegerObject)`
`void` `setBooleanObject(Boolean booleanObject)`
`void` `setBooleanPrimitive(boolean booleanPrimitive)`
`void` `setByteObject(Byte byteObject)`
`void` `setBytePrimitive(byte bytePrimitive)`
`void` `setCharArray(char[] charArray)`
`void` `setCharObject(Character charObject)`
`void` `setCharPrimitive(char charPrimitive)`
`void` `setDateObject(LocalDate dateObject)`
`void` `setDateTimeObject(LocalDateTime dateTimeObject)`
`void` `setDoubleObject(Double doubleObject)`
`void` `setDoublePrimitive(double doublePrimitive)`
`void` `setFloatObject(Float floatObject)`
`void` `setFloatPrimitive(float floatPrimitive)`
`void` `setFormattedBigDecimalObject(BigDecimal formattedBigDecimalObject)`
`void` `setFormattedBigIntegerObject(BigInteger formattedBigIntegerObject)`
`void` `setFormattedByteObject(Byte formattedByteObject)`
`void` `setFormattedDateObject(LocalDate formattedDateObject)`
`void` `setFormattedDateTimeObject(LocalDateTime formattedDateTimeObject)`
`void` `setFormattedDoubleObject(Double formattedDoubleObject)`
`void` `setFormattedFloatObject(Float formattedFloatObject)`
`void` `setFormattedIntObject(Integer formattedIntObject)`
`void` `setFormattedLongObject(Long formattedLongObject)`
`void` `setFormattedLongPrimitive(long formattedLongPrimitive)`
`void` `setFormattedShortObject(Short formattedShortObject)`
`void` `setFormattedTimeObject(LocalTime formattedTimeObject)`
`void` `setId(String id)`
`void` `setIntegerObjectId(Integer integerObjectId)`
`void` `setIntObject(Integer intObject)`
`void` `setIntPrimitive(int intPrimitive)`
`void` `setIntPrimitiveId(int intPrimitiveId)`
`void` `setLongObject(Long longObject)`
`void` `setLongObjectId(Long longObjectId)`
`void` `setLongPrimitive(long longPrimitive)`
`void` `setLongPrimitiveId(long longPrimitiveId)`
`void` `setShortObject(Short shortObject)`
`void` `setShortPrimitive(short shortPrimitive)`
`void` `setStringObject(String stringObject)`
`void` `setTimeObject(LocalTime timeObject)`
`void` `setUuidId(UUID uuidId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScalarHolder

    public ScalarHolder()

### Method Detail

#### getShortPrimitive

    public short getShortPrimitive()

#### setShortPrimitive

    public void setShortPrimitive(short shortPrimitive)

#### getShortObject

    public Short getShortObject()

#### setShortObject

    public void setShortObject(Short shortObject)

#### getFormattedShortObject

    public Short getFormattedShortObject()

#### setFormattedShortObject

    public void setFormattedShortObject(Short formattedShortObject)

#### getIntPrimitive

    public int getIntPrimitive()

#### setIntPrimitive

    public void setIntPrimitive(int intPrimitive)

#### getIntObject

    public Integer getIntObject()

#### setIntObject

    public void setIntObject(Integer intObject)

#### getFormattedIntObject

    public Integer getFormattedIntObject()

#### setFormattedIntObject

    public void setFormattedIntObject(Integer formattedIntObject)

#### getLongPrimitive

    public long getLongPrimitive()

#### setLongPrimitive

    public void setLongPrimitive(long longPrimitive)

#### getFormattedLongPrimitive

    public long getFormattedLongPrimitive()

#### setFormattedLongPrimitive

    public void setFormattedLongPrimitive(long formattedLongPrimitive)

#### getLongObject

    public Long getLongObject()

#### setLongObject

    public void setLongObject(Long longObject)

#### getFormattedLongObject

    public Long getFormattedLongObject()

#### setFormattedLongObject

    public void setFormattedLongObject(Long formattedLongObject)

#### getFloatPrimitive

    public float getFloatPrimitive()

#### setFloatPrimitive

    public void setFloatPrimitive(float floatPrimitive)

#### getFloatObject

    public Float getFloatObject()

#### setFloatObject

    public void setFloatObject(Float floatObject)

#### getFormattedFloatObject

    public Float getFormattedFloatObject()

#### setFormattedFloatObject

    public void setFormattedFloatObject(Float formattedFloatObject)

#### getDoublePrimitive

    public double getDoublePrimitive()

#### setDoublePrimitive

    public void setDoublePrimitive(double doublePrimitive)

#### getDoubleObject

    public Double getDoubleObject()

#### setDoubleObject

    public void setDoubleObject(Double doubleObject)

#### getFormattedDoubleObject

    public Double getFormattedDoubleObject()

#### setFormattedDoubleObject

    public void setFormattedDoubleObject(Double formattedDoubleObject)

#### getBytePrimitive

    public byte getBytePrimitive()

#### setBytePrimitive

    public void setBytePrimitive(byte bytePrimitive)

#### getByteObject

    public Byte getByteObject()

#### setByteObject

    public void setByteObject(Byte byteObject)

#### getFormattedByteObject

    public Byte getFormattedByteObject()

#### setFormattedByteObject

    public void setFormattedByteObject(Byte formattedByteObject)

#### getBigIntegerObject

    public BigInteger getBigIntegerObject()

#### setBigIntegerObject

    public void setBigIntegerObject(BigInteger bigIntegerObject)

#### getFormattedBigIntegerObject

    public BigInteger getFormattedBigIntegerObject()

#### setFormattedBigIntegerObject

    public void setFormattedBigIntegerObject(BigInteger formattedBigIntegerObject)

#### getBigDecimalObject

    public BigDecimal getBigDecimalObject()

#### setBigDecimalObject

    public void setBigDecimalObject(BigDecimal bigDecimalObject)

#### getFormattedBigDecimalObject

    public BigDecimal getFormattedBigDecimalObject()

#### setFormattedBigDecimalObject

    public void setFormattedBigDecimalObject(BigDecimal formattedBigDecimalObject)

#### isBooleanPrimitive

    public boolean isBooleanPrimitive()

#### setBooleanPrimitive

    public void setBooleanPrimitive(boolean booleanPrimitive)

#### getBooleanObject

    public Boolean getBooleanObject()

#### setBooleanObject

    public void setBooleanObject(Boolean booleanObject)

#### getCharPrimitive

    public char getCharPrimitive()

#### setCharPrimitive

    public void setCharPrimitive(char charPrimitive)

#### getCharObject

    public Character getCharObject()

#### setCharObject

    public void setCharObject(Character charObject)

#### getCharArray

    public char[] getCharArray()

#### setCharArray

    public void setCharArray(char[] charArray)

#### getStringObject

    public String getStringObject()

#### setStringObject

    public void setStringObject(String stringObject)

#### getDateObject

    public LocalDate getDateObject()

#### setDateObject

    public void setDateObject(LocalDate dateObject)

#### getAnotherDateObject

    public LocalDate getAnotherDateObject()

#### setAnotherDateObject

    public void setAnotherDateObject(LocalDate anotherDateObject)

#### getFormattedDateObject

    public LocalDate getFormattedDateObject()

#### setFormattedDateObject

    public void setFormattedDateObject(LocalDate formattedDateObject)

#### getTimeObject

    public LocalTime getTimeObject()

#### setTimeObject

    public void setTimeObject(LocalTime timeObject)

#### getAnotherTimeObject

    public LocalTime getAnotherTimeObject()

#### setAnotherTimeObject

    public void setAnotherTimeObject(LocalTime anotherTimeObject)

#### getFormattedTimeObject

    public LocalTime getFormattedTimeObject()

#### setFormattedTimeObject

    public void setFormattedTimeObject(LocalTime formattedTimeObject)

#### getDateTimeObject

    public LocalDateTime getDateTimeObject()

#### setDateTimeObject

    public void setDateTimeObject(LocalDateTime dateTimeObject)

#### getAnotherDateTimeObject

    public LocalDateTime getAnotherDateTimeObject()

#### setAnotherDateTimeObject

    public void setAnotherDateTimeObject(LocalDateTime anotherDateTimeObject)

#### getFormattedDateTimeObject

    public LocalDateTime getFormattedDateTimeObject()

#### setFormattedDateTimeObject

    public void setFormattedDateTimeObject(LocalDateTime formattedDateTimeObject)

#### getId

    public String getId()

#### setId

    public void setId(String id)

#### getLongPrimitiveId

    public long getLongPrimitiveId()

#### setLongPrimitiveId

    public void setLongPrimitiveId(long longPrimitiveId)

#### getLongObjectId

    public Long getLongObjectId()

#### setLongObjectId

    public void setLongObjectId(Long longObjectId)

#### getIntPrimitiveId

    public int getIntPrimitiveId()

#### setIntPrimitiveId

    public void setIntPrimitiveId(int intPrimitiveId)

#### getIntegerObjectId

    public Integer getIntegerObjectId()

#### setIntegerObjectId

    public void setIntegerObjectId(Integer integerObjectId)

#### getUuidId

    public UUID getUuidId()

#### setUuidId

    public void setUuidId(UUID uuidId)